de.esprit.appsuite.nio.parser

## Class AsciiLine

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.nio.parser.SimpleAsciiLine
    - - de.esprit.appsuite.nio.parser.AsciiLine

- All Implemented Interfaces:
    Dumpable

      public final class AsciiLine
      extends SimpleAsciiLine

  This class represents a text line that was read in by the `AsciiParser`. Supports user definable break codes as well as block-comment codes (default block comment code = '$').
  Author:
    Thomas Stecher, Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `data`
    `protected int` | `length`
    `protected int` | `position`

    - ### Fields inherited from class de.esprit.appsuite.nio.parser.SimpleAsciiLine

      `currentWord, lineCommentCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsciiLine(java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `asBytes()`
    `java.lang.String` | `asString()`
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `equalsIgnoreCase(byte[] bytes)`
    `boolean` | `equalsIgnoreCase(java.lang.String text)`
    `byte` | `getByteAt(int index)`
    `AsciiWord` | `getNextWord()` Overridden to support break-characters and block-comments.
    `int` | `hashCode()`
    `void` | `setBreakCodes(byte[] breakCodes)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.nio.parser.SimpleAsciiLine

      `getCurrentWord, getRestOfLine, setMarkers`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected final byte[] data

    - #### position

          protected int position

    - #### length

          protected int length

  - ### Constructor Detail

    - #### AsciiLine

          public AsciiLine(java.lang.String text)

  - ### Method Detail

    - #### setBreakCodes

          public void setBreakCodes(byte[] breakCodes)

    - #### getNextWord

          public AsciiWord getNextWord()

      Overridden to support break-characters and block-comments.
      Overrides:
        `getNextWord` in class `SimpleAsciiLine`

    - #### getByteAt

          public final byte getByteAt(int index)

    - #### asBytes

          public final byte[] asBytes()

    - #### asString

          public final java.lang.String asString()

    - #### equalsIgnoreCase

          public final boolean equalsIgnoreCase(java.lang.String text)

    - #### equalsIgnoreCase

          public final boolean equalsIgnoreCase(byte[] bytes)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.